Page 1 of 1

PHP 5.5.13 Beta

PostPosted: Tue Jan 27, 2015 2:05 pm
by James.S@AST
Hello ASUSTORer,

A PHP 5.5.13 beta version is ready for you all to test with.
When you install and enable this version, the system's default PHP5.3 will be disabled.
If you want to run the PHP5.3 again, please disable or remove this PHP5.5.13 package.

For AS5/6/7 series
https://www.dropbox.com/s/zjg5gl8tmg82v ... 4.apk?dl=0

For AS2/3 series
https://www.dropbox.com/s/j0tytm8yqgmgo ... 6.apk?dl=0

Known issues:
Following apps are not compatible with PHP5.5.13
eTicket
MediaWiki
Nucleus
phpCollab
PHP-Nuke
WebCollab

Your feedback and comments are greatly appreciated.

Cheers,
JAMES

Re: PHP 5.5.13 Beta

PostPosted: Sun Mar 29, 2015 1:41 am
by ianinfrance
It's all very well writing the above, but for those of us who are trying to understand it, you might as well be writing in swahili.

Is that a dropbox address on the open web? Do we need a dropbox account to access it? How do we install it? How are we supposed to disable or remove it? Where are detailed instructions?

Re: PHP 5.5.13 Beta

PostPosted: Fri Apr 03, 2015 11:32 pm
by scottnzuk
High risk vulnerabilities results for: (DOMAIN)

1. PHP Unsupported Version Detection (High)

Port: http (80/tcp)
Summary:
According to its version, the installation of PHP on the remote host is no longer supported. As a result, it is likely to contain security vulnerabilities.

Source: Server: Apache/2.2.29 (Unix) DAV/2 PHP/5.3.27 mod_ssl/2.2.29 OpenSSL/1.0.1j
Installed version: 5.3.27
End of support date: 2014/08/14
Announcement: http://php.net/archive/2014.php#id2014-08-14-1
Supported versions: 5.6.x / 5.5.x / 5.4.x
Recommended Solution:
Upgrade to a version of PHP that is currently supported.
More information: https://wiki.php.net/rfc/releaseprocess

:ugeek: Beta is good but if alot of apps / programs are not supported or working then its useless!

This needs to be fixed its a high security risk!

Re: PHP 5.5.13 Beta

PostPosted: Mon Apr 27, 2015 6:27 am
by maxani
Looks like there's a bug with this version. I can't upgrade my webapps.

See https://github.com/laravel/framework/issues/8567

Plus can Asustor share to the community the way to build our proper PHP versions? It would be really really nice!

Re: PHP 5.5.13 Beta

PostPosted: Tue Apr 28, 2015 6:31 am
by James.S@AST
Dear Maxani,
Can you please give me the steps to reproduce the problem? Please, also, give us as much detail as possible.

Many thanks,
JAMES

Re: PHP 5.5.13 Beta

PostPosted: Tue Apr 28, 2015 3:04 pm
by maxani
Hi James.

Sure it's easy to reproduce.

Following the documentation of the framework Laravel: http://laravel.com/docs/5.0/installation

First get composer and put it in /volume1/Web folder

then via the method Composer Create-Project still in /volume1/Web:
Code: Select all
php ./composer.phar create-project laravel/laravel asustor --prefer-dist

It will create a fresh Laravel App in the folder "asustor" in my example.

Please delete the file /volume1/Web/asustor/vendor/compiled.php and run in /volume1/Web/asustor :
Code: Select all
php ../composer.phar update

It will update to the last version of Laravel.

Then just target your browser to http://YOUR_IP/asustor/public

You should get a web page with the message "Laravel 5 Smile, breathe, and go slowly. - Thich Nhat Hanh"...
But you won't. Instead you'll get the error message I mentionned.

Thank you.

Re: PHP 5.5.13 Beta

PostPosted: Wed Jun 24, 2015 2:19 pm
by maxani
Well... still failing with the new beta release...

Why are you staying with 5.5.13?